+++
title = "Install Android applications without the Play Store"
date = 2025-04-14
+++

Lately I brought back to life an old Android device of mine that I wanted to use to try out some unrelated stuff. When it came to open the store and install applications it happened: it asked for an account to install applications. Turns out putting my password on this device was going to take a while so I wondered which option do we had if we wanted a capable Android device without requiring the Play Store. I know there are forks of Android around that removed all Google services so there **has** to be something.

![One Plus 6](oneplus6.jpeg?width=640#center)

<!--more-->

This is what I found around, let me know if there are other alternatives out there. Also keep in mind that this should be valid for any Android device (not only phones). I'm talking about all those fancy Android retro handhelds.


## F-Droid

This is the one I already knew. F-Droid is a "Play Store" of FOSS applications where you can easily install and maintain upgraded your applications. it also help users check if the application contain any "anti-features" like ads, non-free downloads, tracking, etc.

You can get it from [their site](https://f-droid.org/en/).

## Obtanium

One of my new discoveries. Obtanium is a custom store where you can manually set up repositories in order to install and upgrade applications, directly from the source pages where developers expose their releases. This is simple but huge, since you can set up your own sources pointing to release pages for almost every app. They also provide a [app catalog](https://apps.obtainium.imranr.dev/) with configuration for more complex sources, ready to use from the device's browser.

Download Obtanium from [their site](https://obtainium.imranr.dev/).

## Aurora Store

And this is the ultimate tool. Aurora Store is a replacement for the Google Play Store, but you can use it anonymously without logging in! To be honest I haven't installed anything from it yet since the few apps I needed where on F-Droid and Obtanium, but I installed Aurora and it checked the apps I had installed and proposed to update all of them. All of this without having to log in. Kudos to the developers.

You can download Aurora [from their fancy site](https://auroraoss.com/).
